Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

[Plugin Officiel] Zigbee (deconz)

Pour échanger sur les plugins classés en catégorie "Protocoles domotiques"
Avatar de l’utilisateur
loic
Administrateur
Messages : 14862
Inscription : 01 févr. 2014, 16:21

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par loic » 30 juin 2019, 14:02

supermenteur a écrit :
30 juin 2019, 12:43
Toujours pareil après avoir suivi ta procédure.

Code : Tout sélectionner

 [2019-06-30 12:41:09][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
Traceback (most recent call last):
File "/var/www/html/plugins/deconz/resources/deconzd/deconzd.py", line 32, in <module>
from websocket import create_connection
File "/usr/local/lib/python3.4/dist-packages/websocket/__init__.py", line 23, in <module>
from ._app import WebSocketApp
File "/usr/local/lib/python3.4/dist-packages/websocket/_app.py", line 36, in <module>
from ._core import WebSocket, getdefaulttimeout
File "/usr/local/lib/python3.4/dist-packages/websocket/_core.py", line 34, in <module>
from ._handshake import *
File "/usr/local/lib/python3.4/dist-packages/websocket/_handshake.py", line 40, in <module>
if six.PY34:
AttributeError: 'module' object has no attribute 'PY34'
[2019-06-30 12:41:42][ERROR] : Impossible de lancer le démon deconz, vérifiez le port


Envoyé de mon iPad en utilisant Tapatalk
Tu as bien relancé les dépendances ? Tu as la log ?
Aide nous à t'aider : mets des logs, détaille ton soucis... Vous n'aurez aucune réponse de ma part si votre demande n'est pas détaillée (log, capture d'écran lisible...) ou si vous ne postez pas dans la bonne section

Avatar de l’utilisateur
supermenteur
Timide
Messages : 250
Inscription : 18 mai 2015, 15:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par supermenteur » 30 juin 2019, 15:25

Loic,

Voilà ce que donne le logo des dépendances

Code : Tout sélectionner

 ********************************************************
*             Installation des dépendances             *
********************************************************
Ign http://debian.proxad.net jessie InRelease
Hit http://debian.proxad.net jessie-updates InRelease
Hit http://phoscon.de jessie InRelease
Hit http://debian.proxad.net jessie Release.gpg
Hit http://debian.proxad.net jessie Release
Hit https://repo.mosquitto.org jessie InRelease
Hit https://deb.nodesource.com jessie InRelease
Get:1 http://phoscon.de jessie/main amd64 Packages [412 B]
Get:2 https://deb.nodesource.com jessie/main Sources [764 B]
Hit http://security.debian.org jessie/updates InRelease
Get:3 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Get:4 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:5 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Get:6 https://deb.nodesource.com jessie/main amd64 Packages [964 B]
Get:7 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:8 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:9 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Get:10 http://security.debian.org jessie/updates/main Sources [323 kB]
Get:11 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:12 http://security.debian.org jessie/updates/contrib Sources [1439 B]
Get:13 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Get:14 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:15 http://security.debian.org jessie/updates/non-free Sources [1629 B]
Get:16 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Ign https://repo.mosquitto.org jessie/main Translation-en
Get:17 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:18 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Ign https://repo.mosquitto.org jessie/main Translation-fr
Get:19 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:20 http://security.debian.org jessie/updates/main amd64 Packages [697 kB]
Hit http://debian.proxad.net jessie/main Sources
Get:21 http://security.debian.org jessie/updates/contrib amd64 Packages [2506 B]
Hit http://debian.proxad.net jessie/non-free Sources
Get:22 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Hit http://debian.proxad.net jessie/contrib Sources
Get:23 http://security.debian.org jessie/updates/non-free amd64 Packages [4527 B]
Get:24 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign http://phoscon.de jessie/main Translation-en
Get:25 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign http://httpredir.debian.org jessie InRelease
Hit http://debian.proxad.net jessie/main amd64 Packages
Get:26 http://security.debian.org jessie/updates/contrib Translation-en [1211 B]
Get:27 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://debian.proxad.net jessie/non-free amd64 Packages
Get:28 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign http://phoscon.de jessie/main Translation-fr
Get:29 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Get:30 http://security.debian.org jessie/updates/main Translation-en [352 kB]
Hit http://debian.proxad.net jessie/contrib amd64 Packages
Get:31 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Get:32 http://security.debian.org jessie/updates/non-free Translation-en [11.8 kB]
Hit http://debian.proxad.net jessie/contrib Translation-en
Hit http://debian.proxad.net jessie/main Translation-en
Hit http://debian.proxad.net jessie/main Translation-fr
Hit http://debian.proxad.net jessie/non-free Translation-en
Hit http://httpredir.debian.org jessie Release.gpg
Hit http://httpredir.debian.org jessie Release
Hit http://httpredir.debian.org jessie/main amd64 Packages
Hit http://httpredir.debian.org jessie/contrib amd64 Packages
Hit http://httpredir.debian.org jessie/non-free amd64 Packages
Hit http://httpredir.debian.org jessie/contrib Translation-en
Hit http://httpredir.debian.org jessie/main Translation-en
Hit http://httpredir.debian.org jessie/main Translation-fr
Hit http://httpredir.debian.org jessie/non-free Translation-en
Fetched 23.5 kB in 4s (5549 B/s)
W: Failed to fetch http://debian.proxad.net/debian/dists/jessie-updates/InRelease  Unable to find expected entry 'main/source/Sources' in Release file (Wrong sources.list entry or malformed file)
E: Some index files failed to download. They have been ignored, or old ones used instead.
WARNING: apt does not have a stable CLI interface yet. Use with caution in scripts.
Reading package lists...
Building dependency tree...
Reading state information...
python3-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 242 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python3-setuptools is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 242 not upgraded.
Uninstalling websocket-client:
Successfully uninstalled websocket-client
Cannot uninstall requirement websocket, not installed
Storing debug log for failure in /root/.pip/pip.log
Requirement already satisfied (use --upgrade to upgrade): setuptools in /usr/lib/python3/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): wheel in /usr/lib/python3/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): serial in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): pyudev in /usr/local/lib/python3.4/dist-packages
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python3/dist-packages (from pyudev)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): requests in /usr/lib/python3/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): serial in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): pyudev in /usr/local/lib/python3.4/dist-packages
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python3/dist-packages (from pyudev)
Cleaning up...
Downloading/unpacking websocket-client
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python3/dist-packages (from websocket-client)
Installing collected packages: websocket-client
Successfully installed websocket-client
Cleaning up...
********************************************************
*             Installation terminée                    *
********************************************************
Je vais tenter désinstallation, installation pour voir.

Merci.


Envoyé de mon iPad en utilisant Tapatalk
Patrice

Avatar de l’utilisateur
supermenteur
Timide
Messages : 250
Inscription : 18 mai 2015, 15:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par supermenteur » 30 juin 2019, 15:36

Même chose après réinstallation. J’ai aussi forcé l’installation de websocket-client avec

Code : Tout sélectionner

Sudo pip install websocket-client
Collecting websocket-client
  Downloading https://files.pythonhosted.org/packages/29/19/44753eab1fdb50770ac69605527e8859468f3c0fd7dc5a76dd9c4dbd7906/websocket_client-0.56.0-py2.py3-none-any.whl (200kB)
    100% |████████████████████████████████| 204kB 1.0MB/s 
Requirement already satisfied: six in /usr/local/lib/python2.7/dist-packages (from websocket-client) (1.11.0)
Installing collected packages: websocket-client
Successfully installed websocket-client-0.56.0
Je sèche là




Envoyé de mon iPad en utilisant Tapatalk
Patrice

Avatar de l’utilisateur
akenad
Actif
Messages : 697
Inscription : 27 oct. 2017, 11:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par akenad » 30 juin 2019, 15:52

actuellement pip c'est python 2 et pip3 c'est python3.

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Buster Kernel 5
RPi3B+ SSD Raspbian Stretch
RPi4B SSD Raspbian Buster
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster

Avatar de l’utilisateur
Poumi
Actif
Messages : 660
Inscription : 21 mars 2019, 22:41

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par Poumi » 30 juin 2019, 15:54

Dans tes logs il y a ça :

Code : Tout sélectionner

W: Failed to fetch http://debian.proxad.net/debian/dists/jessie-updates/InRelease  Unable to find expected entry 'main/source/Sources' in Release file (Wrong sources.list entry or malformed file)
E: Some index files failed to download. They have been ignored, or old ones used instead.
Ça ressemble à une source qui n’existe pas sous Jessie non? => passer en stretch?

Avatar de l’utilisateur
supermenteur
Timide
Messages : 250
Inscription : 18 mai 2015, 15:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par supermenteur » 30 juin 2019, 16:00

Même chose avec pip3 et je suis sous jessie
Je ne pense pas que l’erreur de distribution soit en cause, mais ...


Envoyé de mon iPad en utilisant Tapatalk
Patrice

Avatar de l’utilisateur
akenad
Actif
Messages : 697
Inscription : 27 oct. 2017, 11:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par akenad » 30 juin 2019, 16:04

c'est une très très mauvaise idée de persister à vouloir utiliser Jessie.

Le plugin Deconz semble utiliser python3.5 alors que Jessie dispose par défaut de python 3.4.

akenad :)
Dernière édition par akenad le 30 juin 2019, 16:48, édité 1 fois.
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Buster Kernel 5
RPi3B+ SSD Raspbian Stretch
RPi4B SSD Raspbian Buster
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster

Avatar de l’utilisateur
supermenteur
Timide
Messages : 250
Inscription : 18 mai 2015, 15:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par supermenteur » 30 juin 2019, 16:27

Je vais penser à l’upgrade mais en attendant, après correction de fichier source.list et update/upgrade

Code : Tout sélectionner

 ********************************************************
*             Installation des dépendances             *
********************************************************
Hit http://phoscon.de jessie InRelease
Ign http://deb.debian.org jessie InRelease
Hit https://repo.mosquitto.org jessie InRelease
Hit http://deb.debian.org jessie Release.gpg
Hit http://phoscon.de jessie/main amd64 Packages
Hit https://deb.nodesource.com jessie InRelease
Hit https://repo.mosquitto.org jessie/main amd64 Packages
Hit http://deb.debian.org jessie Release
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main amd64 Packages
Hit http://deb.debian.org jessie/main Sources
Get:1 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:2 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:3 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://deb.debian.org jessie/contrib Sources
Get:4 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Hit http://deb.debian.org jessie/non-free Sources
Get:5 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:6 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:8 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Hit http://deb.debian.org jessie/main amd64 Packages
Get:9 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:10 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:11 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:12 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Hit http://deb.debian.org jessie/contrib amd64 Packages
Get:13 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Get:14 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Get:15 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:16 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Hit http://deb.debian.org jessie/non-free amd64 Packages
Get:17 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Hit http://deb.debian.org jessie/contrib Translation-en
Get:18 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Get:19 https://repo.mosquitto.org jessie/main Translation-en [178 B]
Ign https://repo.mosquitto.org jessie/main Translation-en
Hit http://deb.debian.org jessie/main Translation-en
Get:20 https://repo.mosquitto.org jessie/main Translation-fr [178 B]
Ign https://repo.mosquitto.org jessie/main Translation-fr
Hit http://deb.debian.org jessie/main Translation-fr
Ign http://phoscon.de jessie/main Translation-en
Hit http://deb.debian.org jessie/non-free Translation-en
Ign http://phoscon.de jessie/main Translation-fr
Hit http://security.debian.org jessie/updates InRelease
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://security.debian.org jessie/updates/main amd64 Packages
Hit http://security.debian.org jessie/updates/contrib amd64 Packages
Hit http://security.debian.org jessie/updates/non-free amd64 Packages
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Reading package lists...
WARNING: apt does not have a stable CLI interface yet. Use with caution in scripts.
Reading package lists...
Building dependency tree...
Reading state information...
python3-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python3-setuptools is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
Uninstalling websocket-client:
Successfully uninstalled websocket-client
Cannot uninstall requirement websocket, not installed
Storing debug log for failure in /root/.pip/pip.log
Requirement already satisfied (use --upgrade to upgrade): setuptools in /usr/lib/python3/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): wheel in /usr/lib/python3/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): serial in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): pyudev in /usr/local/lib/python3.4/dist-packages
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python3/dist-packages (from pyudev)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): requests in /usr/lib/python3/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): serial in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): pyudev in /usr/local/lib/python3.4/dist-packages
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python3/dist-packages (from pyudev)
Cleaning up...
Downloading/unpacking websocket-client
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python3/dist-packages (from websocket-client)
Installing collected packages: websocket-client
Successfully installed websocket-client
Cleaning up...
********************************************************
*             Installation terminée                    *
********************************************************
Plus d’erreur mais toujours pas de démon OK.


Envoyé de mon iPad en utilisant Tapatalk
Patrice

Avatar de l’utilisateur
Deepcore
Timide
Messages : 190
Inscription : 11 déc. 2017, 20:40
Localisation : Région Parisienne

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par Deepcore » 30 juin 2019, 17:22

Bonjour,

Pour moi cela n'a rien changé.

Pour info, j'ai installé la gateway en local et elle n'est pas détectée par le plugin. Il y a un moyen de voir si deconz tourne en local ?
Pièces jointes
deconz_update.txt
(13.26 Kio) Téléchargé 11 fois
deconz_install.txt
(10.64 Kio) Téléchargé 10 fois
deconz.txt
(1.48 Kio) Téléchargé 9 fois
Jeedom Prod VM Debian 9 sous ESXi 6.7
Jeedom Dev Pi 2 Debian 9
Antenne : VM Debian 8 - HA-Bridge, Nut Serveur sous ESXi 6.0
Protocole : ZWave, ZigBee (Hue,Ikea,Xiaomi et Zigate), IP devices, Bluetooth
160 modules gérés

Avatar de l’utilisateur
DomJeed
Timide
Messages : 38
Inscription : 25 juil. 2018, 16:59

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par DomJeed » 30 juin 2019, 17:52

Bonjour,
C'est, bien sûr, rassurant de constater que je suis pas le seul à avoir acheté une clé ConBee2, et un plugin dit stable à 6€ et être dans la panade avec des messages comparables à ceux de "supermenteur" : cf. ci-dessous, au niveau Log DECONZ
Traceback (most recent call last):
File "/var/www/html/plugins/deconz/resources/deconzd/deconzd.py", line 32, in <module>
from websocket import create_connection
ImportError: No module named 'websocket'
[2019-06-30 17:35:37][ERROR] : Impossible de lancer le démon deconz, vérifiez le port
... et quand même très déprimant, d'autant que j'ai couru acheter 4 prises Tradfri chez Ikea, pour faire bonne mesure :?
J'espère que ce n'est que temporaire...
Bon courage

Avatar de l’utilisateur
akenad
Actif
Messages : 697
Inscription : 27 oct. 2017, 11:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par akenad » 30 juin 2019, 20:52

Le plugin Deconz fonctionne sur un Odroid-C2 en Stretch, avec une Gateway sur RPi.
(voir le lien retour d’expérience plus haut en page 3 de ce topic.)
Le fonctionnement du plugin Deconz est stable.
La difficulté est de faire en sorte d'avoir une bonne installation des dépendances nécessaires au plugin dans tous les cas de figure.
Ce qui devient compliqué compte tenu de nombreux cas de figure :
- Jessie ou stretch (et maintenant Buster)
- Smart/Debian, Odroid-C2/Armbian, RPi/Raspbian, VM/Debian , etc ...
- python 2.7, 3.4, 3.5 ...
Par ailleurs pour ceux qui utilisent le mode local et non le mode Gateway, le paquet utilisé pour installer deconz en local n'est aussi peut être pas complétement compatible avec tous les cas de figure.

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Buster Kernel 5
RPi3B+ SSD Raspbian Stretch
RPi4B SSD Raspbian Buster
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster

Avatar de l’utilisateur
Deepcore
Timide
Messages : 190
Inscription : 11 déc. 2017, 20:40
Localisation : Région Parisienne

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par Deepcore » 01 juil. 2019, 06:08

Hello,

Mise à jour du plug-in faite ce matin, relance de l'installation des dépendances et le démon passe au vert.

Par contre toujours pas de gateway locale détectée, normale ?

J'ai tenté une réinstallation du deconz en local, un nouveau log est apparu et c'est pas bon.

EDIT :
- Arrêt et redémarrage du plug-in -> la gateway locale apparait
- Message d'erreur sur la page du réseau deconz
Pièces jointes
deconz_error.png
deconz_error.png (24.83 Kio) Consulté 1003 fois
deconz_update.txt
(13.21 Kio) Téléchargé 9 fois
deconzServer.txt
(201 octets) Téléchargé 10 fois
Jeedom Prod VM Debian 9 sous ESXi 6.7
Jeedom Dev Pi 2 Debian 9
Antenne : VM Debian 8 - HA-Bridge, Nut Serveur sous ESXi 6.0
Protocole : ZWave, ZigBee (Hue,Ikea,Xiaomi et Zigate), IP devices, Bluetooth
160 modules gérés

Avatar de l’utilisateur
akenad
Actif
Messages : 697
Inscription : 27 oct. 2017, 11:39

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par akenad » 01 juil. 2019, 07:54

D’après cette log deconz update, l’install des dépendances à été modifié.
Il désinstalle les paquets websocket-client et websocket et installe le paquet websocket-client. Ce qui peut expliquer que le démon passe au vert.
Pour le mode local, à suivre.

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Buster Kernel 5
RPi3B+ SSD Raspbian Stretch
RPi4B SSD Raspbian Buster
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster

Avatar de l’utilisateur
loic
Administrateur
Messages : 14862
Inscription : 01 févr. 2014, 16:21

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par loic » 01 juil. 2019, 08:40

La faut ouvrir un ticket pour que l'on regarde directement sur le jeedom.
Aide nous à t'aider : mets des logs, détaille ton soucis... Vous n'aurez aucune réponse de ma part si votre demande n'est pas détaillée (log, capture d'écran lisible...) ou si vous ne postez pas dans la bonne section

Avatar de l’utilisateur
Deepcore
Timide
Messages : 190
Inscription : 11 déc. 2017, 20:40
Localisation : Région Parisienne

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par Deepcore » 01 juil. 2019, 08:59

Ok j'ai corrigé le problème d'accès en cliquant sur "récupérer clef API" (nb c'est dans la doc, mais pas une évidence avec mon niveau)

Par contre j'ai un "401 - Accès non autorisé" sur le téléchargement du backup de la gateway.

Sinon première inclusion RAS 8-) , je poursuis mes tests

@Loic : c'est compliqué c'est une machine de test avec plein de plug-in beta ;)
Dernière édition par Deepcore le 01 juil. 2019, 14:48, édité 1 fois.
Jeedom Prod VM Debian 9 sous ESXi 6.7
Jeedom Dev Pi 2 Debian 9
Antenne : VM Debian 8 - HA-Bridge, Nut Serveur sous ESXi 6.0
Protocole : ZWave, ZigBee (Hue,Ikea,Xiaomi et Zigate), IP devices, Bluetooth
160 modules gérés

Sartog
Actif
Messages : 502
Inscription : 27 août 2015, 14:54

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par Sartog » 01 juil. 2019, 13:19

Bonjour tout le monde,

J'ai enfin réussi à faire fonctionner le plugin car je suis mauvais !
Après avoir installé le plugin, les dépendances, Deconz en local, ça ne voulait pas fonctionner car il ne me trouvait pas la clé (dans réseau, en haut à droite la liste déroulante était vide).
J'avais tout simplement oublié de cliquer sur "Découverte" et "Récupérer la clé API" dans la page de configuration.
Petit partage d'expérience donc, au risque de passer pour un cù:$, mais si ça peut éviter à certains de chercher pendant longtemps ... :D

Pour tester, en attendant la procédure officiel de basculement des équipement Xiaomi et Ikea vers Deconz sans rien perdre, je fais des tests avec un module Aquara Door Sensor.
Ce dernier s'est inclus sans problème et fonctionne parfaitement.
Par contre, comparativement au plugin Xiaomi, les commandes sont beaucoup moins nombreuses car nous passons de 5 commandes (plugin Xiaomi) à 1 seules (plugin DeconZ).
La plupart des commandes ne me servaient pas et la commande principal (Ouverture) est là, donc pas de problème en soit (par contre, pour la bascule d'un plugin à l'autre faudra peut être prévenir les gens).
Mais je me suis dit que la remontée de la batterie pouvait être tout de même utile !

J'ai donc essayé de créer une nouvelle commande, en renseignant le Logical ID "01-0006.config::battery", m'inspirant de la commande "Ouverture" créée automatiquement ("01-0006.state::open") et de l'arbre ci-dessous, mais sans succès !

Quelqu'un serait-il plus expert que moi pour me faire comprendre où je me suis tromper, s'il vous plait ?
Au demeurant, @Loïc, est-il envisageable que cette information (existante dans l'arbre) soit créée automatiquement ?

Code : Tout sélectionner

{
    "2": {
        "config": {
            "battery": 91,
            "on": true,
            "reachable": true,
            "temperature": 2900
        },
        "ep": 1,
        "etag": "a02abd4fbdf35dac2e9e80f5f2705b44",
        "manufacturername": "LUMI",
        "modelid": "lumi.sensor_magnet.aq2",
        "name": "OpenClose 2",
        "state": {
            "lastupdated": "2019-07-01T11:04:24",
            "open": false
        },
        "swversion": "20161128",
        "type": "ZHAOpenClose",
        "uniqueid": "00:15:8d:00:02:04:8b:a6-01-0006"
    }
}
Vous remerciant par avance.
Box : smart, mini+, pi 2 et 3, ipbx800 v4
Protocole : Z-Wave (Fibaro & Qubino), Ikea, Bluetooth
Méteo : Netatmo
Audio : Sonos (Play 1 et 5)

Avatar de l’utilisateur
DomJeed
Timide
Messages : 38
Inscription : 25 juil. 2018, 16:59

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par DomJeed » 01 juil. 2019, 13:43

Bonjour,
Devant mon incapacité à m'en sortir, j'ai ouvert un ticket pour demande support...
Bah oui, il faut parfois ranger son orgueil, et avouer sa trop légère compétence (formule diplomatique pour "réelle incompétence" :lol: )
On y croit...
Bonne journée

Avatar de l’utilisateur
loic
Administrateur
Messages : 14862
Inscription : 01 févr. 2014, 16:21

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par loic » 01 juil. 2019, 15:07

Bonjour,
La batterie est remonté deja donc il n'y a pas de commande a ajouter
Aide nous à t'aider : mets des logs, détaille ton soucis... Vous n'aurez aucune réponse de ma part si votre demande n'est pas détaillée (log, capture d'écran lisible...) ou si vous ne postez pas dans la bonne section

Sartog
Actif
Messages : 502
Inscription : 27 août 2015, 14:54

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par Sartog » 01 juil. 2019, 16:23

Bonjour @Loic,
Je n'avais pas pensé à aller voir dans Equipement -> Batteries, désolé.

Par contre, question bête mais comment j'exclus mon module de test du réseau ??
Z-Wave il y a le bouton, mais là je ne sais pas faire.
Box : smart, mini+, pi 2 et 3, ipbx800 v4
Protocole : Z-Wave (Fibaro & Qubino), Ikea, Bluetooth
Méteo : Netatmo
Audio : Sonos (Play 1 et 5)

Avatar de l’utilisateur
Theking31
Actif
Messages : 1182
Inscription : 21 sept. 2017, 11:13
Localisation : Toulouse - Le Vernet

Re: [Plugin Officiel] Zigbee (deconz) beta

Message par Theking31 » 01 juil. 2019, 17:02

Merci Sartog pour tes orientations ;)
Clé reconnue en local, plugin fonctionnel et premier équipement inclus sans problème (un fois que l'on a les bonnes bases)

Vivement le tuto pour le transfère des équipements !
Jeedom 4.0.23 sur Intel NUC 6CAYH | Linux 4.9.0-11-amd64 | Debian 9.11
Rfxcom | Z-Wave Plus Z-Stick GEN5 | Conbee 2 | => sur hub alimenté
Blea| Brodlink | Xiaomi |ESPeasy | Wifilightv2

Répondre

Revenir vers « [Catégorie] Protocoles domotiques »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 4 invités